#!/bin/bash

PROJECT_HOME="$(realpath -s --relative-to . "$(dirname "$0")/..")" || exit
. "$PROJECT_HOME/scripts/util.sh" || exit

SSH_HOME="$HOME/.ssh"
if ! [ -e "$SSH_HOME/id_ed25519_vscode" ]; then
	echo $"Generating $SSH_HOME/id_ed25519_vscode"
	ssh-keygen -t ed25519 -f "$SSH_HOME/id_ed25519_vscode"
fi

echo $"Environment ready"
